#define FFI_LIB "libglfw.so.3"
#define FFI_SCOPE "glfw"

int glfwInit(void);
void glfwWindowHint(int hint, int value);

typedef struct GLFWmonitor GLFWmonitor;
typedef struct GLFWwindow GLFWwindow;
typedef void (* GLFWframebuffersizefun)(GLFWwindow*,int,int);

GLFWwindow* glfwCreateWindow(int width, int height, const char* title, GLFWmonitor* monitor, GLFWwindow* share);
void glfwMakeContextCurrent(GLFWwindow* window);
int glfwWindowShouldClose(GLFWwindow* window);
int glfwGetKey(GLFWwindow* window, int key);
void glfwSetWindowShouldClose(GLFWwindow* window, int shouldClose);
void glfwSwapBuffers(GLFWwindow* window);
void glfwPollEvents(void);
void glfwTerminate(void);
GLFWframebuffersizefun glfwSetFramebufferSizeCallback(GLFWwindow* window, GLFWframebuffersizefun callback);