#define FFI_LIB "libGL.so.1"
#define FFI_SCOPE "gl"

typedef unsigned int    GLenum;
typedef unsigned char   GLboolean;
typedef unsigned int    GLbitfield;
typedef void            GLvoid;
typedef signed char     GLbyte;         /* 1-byte signed */
typedef short           GLshort;        /* 2-byte signed */
typedef int             GLint;          /* 4-byte signed */
typedef unsigned char   GLubyte;        /* 1-byte unsigned */
typedef unsigned short  GLushort;       /* 2-byte unsigned */
typedef unsigned int    GLuint;         /* 4-byte unsigned */
typedef int             GLsizei;        /* 4-byte signed */
typedef float           GLfloat;        /* single precision float */
typedef float           GLclampf;       /* single precision float in [0,1] */
typedef double          GLdouble;       /* double precision float */
typedef double          GLclampd;       /* double precision float in [0,1] */

typedef char GLchar;

typedef long GLsizeiptr;
typedef long GLintptr;
typedef long GLsync;

typedef long GLeglImageOES;
typedef void *GLeglClientBufferEXT;

typedef uint64_t GLuint64;
typedef int64_t GLint64;

typedef uint64_t GLuint64EXT;
typedef int64_t GLint64EXT;

typedef GLint GLfixed;

typedef unsigned short GLhalfNV;

typedef unsigned int GLhandleARB;
typedef char GLcharARB;

typedef long GLintptrARB;
typedef long GLsizeiptrARB;

typedef int32_t GLclampx;

typedef void (*__GLXextFuncPtr)(void);

typedef void ( *GLDEBUGPROC)(GLenum source,GLenum type,GLuint id,GLenum severity,GLsizei length,const GLchar *message,const void *userParam);
typedef void ( *GLDEBUGPROCARB)(GLenum source,GLenum type,GLuint id,GLenum severity,GLsizei length,const GLchar *message,const void *userParam);
typedef void ( *GLDEBUGPROCKHR)(GLenum source,GLenum type,GLuint id,GLenum severity,GLsizei length,const GLchar *message,const void *userParam);

typedef void ( *GLDEBUGPROCAMD)(GLuint id,GLenum category,GLenum severity,GLsizei length,const GLchar *message,void *userParam);
typedef unsigned short GLhalfNV;
typedef GLintptr GLvdpauSurfaceNV;

__GLXextFuncPtr glXGetProcAddress (const GLubyte *procName);
